'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('./Layout.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _LeftNav = require('../../LeftNav/LeftNav');

var _LeftNav2 = _interopRequireDefault(_LeftNav);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TopNav = require('../../TopNav/TopNav');

var _TopNav2 = _interopRequireDefault(_TopNav);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Layout = function (_PureComponent) {
  _inherits(Layout, _PureComponent);

  function Layout() {
    _classCallCheck(this, Layout);

    return _possibleConstructorReturn(this, (Layout.__proto__ || Object.getPrototypeOf(Layout)).apply(this, arguments));
  }

  _createClass(Layout, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          logo = _props.logo,
          navItems = _props.navItems,
          admin = _props.admin,
          rest = _objectWithoutProperties(_props, ['logo', 'navItems', 'admin']);

      return _react2.default.createElement(
        'div',
        _extends({}, rest, { className: (0, _classnames2.default)(this.props.className, 'layout__container') }),
        _react2.default.createElement(
          _TopNav2.default,
          { className: 'layout__header' },
          _react2.default.createElement(
            _TopNav2.default.Content,
            { align: 'left' },
            logo
          ),
          _react2.default.createElement(
            _TopNav2.default.Content,
            { className: 'top-nav__dropdown-selector', align: 'right' },
            admin
          )
        ),
        _react2.default.createElement(
          _LeftNav2.default,
          { className: 'layout__nav' },
          navItems
        ),
        _react2.default.createElement(
          'div',
          { className: 'layout__content' },
          this.props.children
        )
      );
    }
  }]);

  return Layout;
}(_react.PureComponent);

exports.default = Layout;

Layout.propTypes = {
  logo: _propTypes2.default.element.isRequired,
  navItems: _propTypes2.default.arrayOf(_propTypes2.default.element).isRequired,
  admin: _propTypes2.default.element
};

Layout.LeftNav = _LeftNav2.default;
Layout.TopNav = _TopNav2.default;
//# sourceMappingURL=Layout.js.map