'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LargeCardStat = function LargeCardStat(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({}, externalAttributes, {
      className: 'stats ' + props.className,
      flexDirection: 'row'
    }),
    _react2.default.createElement(
      'span',
      { className: 'label' },
      props.label
    ),
    _react2.default.createElement(
      'span',
      { className: 'value' },
      props.value
    )
  );
};

LargeCardStat.defaultProps = {
  name: '',
  value: 0
};

LargeCardStat.propTypes = {
  label: _propTypes2.default.string,
  value: _propTypes2.default.number
};

exports.default = LargeCardStat;
//# sourceMappingURL=LargeCardStat.js.map