'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _LeftNavMenuItem = require('./LeftNavMenuItem');

var _LeftNavMenuItem2 = _interopRequireDefault(_LeftNavMenuItem);

require('../../styles/components/left-nav.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LeftNav = function LeftNav(props) {
  return _react2.default.createElement(
    'nav',
    _extends({}, props, {
      className: (0, _classnames2.default)(props.className, 'octagon nav__left')
    }),
    props.children
  );
};
LeftNav.MenuItem = _LeftNavMenuItem2.default;
LeftNav.propTypes = {
  /** One of: MenuItem, Node */
  children: _propTypes2.default.node
};

LeftNav.defaultProps = {};

exports.default = LeftNav;
//# sourceMappingURL=LeftNav.js.map