'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MicroCardAction = function MicroCardAction(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(_semanticUiReact.Icon, _extends({}, externalAttributes, {
    onClick: props.onClick,
    className: 'ei microcard__arrow-right arrow_carrot-right ' + props.className
  }));
};

MicroCardAction.defaultProps = {};

MicroCardAction.propTypes = {};

exports.default = MicroCardAction;
//# sourceMappingURL=MicroCardAction.js.map