'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FavoriteButton = require('../FavoriteButton/FavoriteButton');

var _FavoriteButton2 = _interopRequireDefault(_FavoriteButton);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MicroCardFavorite = function MicroCardFavorite(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    'div',
    _extends({}, externalAttributes, {
      className: 'microcard_favorite ' + props.className
    }),
    _react2.default.createElement(_FavoriteButton2.default, { isFavorited: props.isFavorited })
  );
};

MicroCardFavorite.defaultProps = {};

MicroCardFavorite.propTypes = {
  isFavorited: _propTypes2.default.bool
};

exports.default = MicroCardFavorite;
//# sourceMappingURL=MicroCardFavorite.js.map