'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ThinCardWidgetLabel = function ThinCardWidgetLabel(props) {
  var externalAttributes = (0, _externalAttributeFilter2.default)(props);
  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({}, externalAttributes, {
      alignItems: 'center',
      className: props.className + ' thincard__widget_label',
      style: props.style
    }),
    props.children
  );
};

ThinCardWidgetLabel.defaultProps = {
  style: {}
};

ThinCardWidgetLabel.propTypes = {
  style: _propTypes2.default.object,
  className: _propTypes2.default.string
};

exports.default = ThinCardWidgetLabel;
//# sourceMappingURL=ThinCardWidgetLabel.js.map