'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _semanticUiReact = require('semantic-ui-react');

var _icon_mainav_dash_selected = require('../../../assets/icon_mainav_dash_selected.svg');

var _icon_mainav_dash_selected2 = _interopRequireDefault(_icon_mainav_dash_selected);

var _icon_mainav_ops_selected = require('../../../assets/icon_mainav_ops_selected.svg');

var _icon_mainav_ops_selected2 = _interopRequireDefault(_icon_mainav_ops_selected);

var _Layout = require('./Layout');

var _Layout2 = _interopRequireDefault(_Layout);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var onClick = function onClick() {
  return console.log('Layout:navItem:clicked!');
};

var LayoutExampleWithMenuItems = function (_React$Component) {
  _inherits(LayoutExampleWithMenuItems, _React$Component);

  function LayoutExampleWithMenuItems() {
    _classCallCheck(this, LayoutExampleWithMenuItems);

    return _possibleConstructorReturn(this, (LayoutExampleWithMenuItems.__proto__ || Object.getPrototypeOf(LayoutExampleWithMenuItems)).apply(this, arguments));
  }

  _createClass(LayoutExampleWithMenuItems, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(_Layout2.default, {
        className: 'hide-in-test',
        logo: _react2.default.createElement(
          'h1',
          { style: { color: 'white' } },
          'LOGO'
        ),
        navItems: [_react2.default.createElement(_Layout2.default.LeftNav.MenuItem, {
          key: '1',
          active: true,
          image: _icon_mainav_dash_selected2.default,
          onClick: onClick
        }), _react2.default.createElement(_Layout2.default.LeftNav.MenuItem, {
          key: '2',
          image: _icon_mainav_ops_selected2.default,
          onClick: onClick
        })],
        admin: _react2.default.createElement(
          _semanticUiReact.Popup,
          {
            hoverable: true,
            position: 'bottom right',
            style: { padding: 0 },
            trigger: _react2.default.createElement(
              'span',
              null,
              'administrator ',
              _react2.default.createElement(_semanticUiReact.Icon, { name: 'chevron down', size: 'small' })
            )
          },
          _react2.default.createElement(
            _semanticUiReact.Menu,
            { vertical: true },
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              { name: 'inbox', active: true, onClick: this.handleItemClick },
              _react2.default.createElement(
                _semanticUiReact.Label,
                { color: 'teal' },
                '1'
              ),
              'Inbox'
            ),
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              { name: 'spam', onClick: this.handleItemClick },
              _react2.default.createElement(
                _semanticUiReact.Label,
                null,
                '51'
              ),
              'Spam'
            ),
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              { name: 'updates', onClick: this.handleItemClick },
              _react2.default.createElement(
                _semanticUiReact.Label,
                null,
                '1'
              ),
              'Updates'
            ),
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              null,
              _react2.default.createElement(_semanticUiReact.Input, { icon: 'search', placeholder: 'Search mail...' })
            )
          )
        )
      });
    }
  }]);

  return LayoutExampleWithMenuItems;
}(_react2.default.Component);

exports.default = LayoutExampleWithMenuItems;
//# sourceMappingURL=LayoutExampleWithMenuItems.js.map